Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class NodeRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.ajax4jsf.renderkit.AjaxChildrenRenderer
                          org.richfaces.renderkit.CompositeRenderer
                              org.richfaces.renderkit.NodeRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  TreeNodeRenderer

    public abstract class NodeRendererBase

extends org.richfaces.renderkit.CompositeRenderer

Author:
  Nick - mailto:nbelaevski@exadel.com created 23.11.2006

Field Summary
`protected static java.lang.String` | `AJAX_EXPANDED_SUFFIX`
`protected static java.lang.String` | `NODE_EXPANDED_INPUT_SUFFIX`

Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`log, SPECIAL_COMPONENTS_TYPES`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`NodeRendererBase()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getAjaxSelectedListenerFlag(javax.faces.context.FacesContext context, UITreeNode treeNode)`
`java.lang.String` | `getDraggableScriptOptions(javax.faces.context.FacesContext context, UITreeNode component)`
`java.lang.String` | `getDropzoneScriptOptions(javax.faces.context.FacesContext context, UITreeNode component)`
`java.lang.String` | `getExpandedValue(javax.faces.context.FacesContext context, UITreeNode node)`
`java.lang.String` | `getHandleCollapsedDisplayStyle(javax.faces.context.FacesContext context, UITreeNode node)`
`java.lang.String` | `getHandleExpandedDisplayStyle(javax.faces.context.FacesContext context, UITreeNode node)`
`protected java.lang.String` | `getToggleScript(javax.faces.context.FacesContext context, UITreeNode treeNode, java.lang.String to)`
`void` | `initializeLines(javax.faces.context.FacesContext context, UITreeNode treeNode)`
`void` | `initializeResources(javax.faces.context.FacesContext context, UITreeNode treeNode)`

Methods inherited from class org.richfaces.renderkit.CompositeRenderer
`addContributor, addParameterEncoder, contributorDecodeCallback, encodeAttributeParameters, escapeHtmlEntities, getContributors, getParameterEncoders, getScriptContributions, getScriptContributions, getScripts, getScripts, getStyles, getStyles, mergeScriptOptions, mergeScriptOptions`

Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`encodeAjaxChild, encodeAjaxChildren, encodeAjaxComponent`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer
`getHeaderScripts, getHeaderStyles`

Field Detail

### NODE_EXPANDED_INPUT_SUFFIX

    protected static final java.lang.String NODE_EXPANDED_INPUT_SUFFIX

See Also:
  Constant Field Values

### AJAX_EXPANDED_SUFFIX

    protected static final java.lang.String AJAX_EXPANDED_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### NodeRendererBase

    public NodeRendererBase()

Method Detail

### getToggleScript

    protected java.lang.String getToggleScript(javax.faces.context.FacesContext context,
                                               UITreeNode treeNode,
                                               java.lang.String to)

### initializeLines

    public void initializeLines(javax.faces.context.FacesContext context,
                                UITreeNode treeNode)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### initializeResources

    public void initializeResources(javax.faces.context.FacesContext context,
                                    UITreeNode treeNode)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHandleCollapsedDisplayStyle

    public java.lang.String getHandleCollapsedDisplayStyle(javax.faces.context.FacesContext context,
                                                           UITreeNode node)

### getHandleExpandedDisplayStyle

    public java.lang.String getHandleExpandedDisplayStyle(javax.faces.context.FacesContext context,
                                                          UITreeNode node)

### getExpandedValue

    public java.lang.String getExpandedValue(javax.faces.context.FacesContext context,
                                             UITreeNode node)

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.richfaces.renderkit.CompositeRenderer`

### getAjaxSelectedListenerFlag

    public java.lang.String getAjaxSelectedListenerFlag(javax.faces.context.FacesContext context,
                                                        UITreeNode treeNode)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getDraggableScriptOptions

    public java.lang.String getDraggableScriptOptions(javax.faces.context.FacesContext context,
                                                      UITreeNode component)

### getDropzoneScriptOptions

    public java.lang.String getDropzoneScriptOptions(javax.faces.context.FacesContext context,
                                                     UITreeNode component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.